package com.czg.enums;

import lombok.Getter;

/**
 * 订单号前缀枚举
 *
 * @author ww
 */
@Getter
public enum OrderNoPrefixEnum {
    //RE 是固定退款前缀 具体功能 往后拼标识
    // 积分 point P 标识
    // 拼团 group buy  GB 或者 G 标识
    // 预约 Booking BK 标识

    BK("BK", "预约"),
    DH("DH", "积分商品兑换单号"),
    REP("REP", "积分商品退款"),
    REPP("REPP", "套餐推广退款"),

    GB("GB", "拼团-团单号"),
    GBO("GBO", "拼团-订单号"),
    REG("REG", "拼团-退单"),
    PPO("PPO", "套餐推广订单号"),
    ;

    private final String value;
    private final String msg;

    OrderNoPrefixEnum(String value, String msg) {
        this.value = value;
        this.msg = msg;
    }
}
